HYPER-V(4)

NAME
hv_kvp_daemon - Hyper-V Key Value Pair Daemon

SYNOPSIS
To compile this driver into the kernel, place the following lines in the system kernel configuration file:

device hyperv

DESCRIPTION
The hv_kvp_daemon daemon provides the ability to store, retrieve, modify and delete Key Value pairs for FreeBSD guest partitions running on Hyper-V. Hyper-V allows administrators to store custom metadata in the form of Key Value pairs inside the FreeBSD guest partition. Administrators can use Windows Powershell scripts to add, read, modify and delete such Key Value pairs.

The hv_kvp_daemon accepts Key Value pair management requests from the hv_kvp(4) driver and performs the actual metadata management on the file-system.

The same daemon and driver combination is also used to set and get IP addresses from a FreeBSD guest.

The set functionality is particularly useful when the FreeBSD guest is assigned a static IP address and is failed over from one Hyper-V host to another. After failover, Hyper-V uses the set IP functionality to automatically update the FreeBSD guest's IP address to its original static value.

On the other hand, the get IP functionality is used to update the guest IP address in the Hyper-V management console window.

SEE ALSO
hv_vmbus(4), hv_utils(4), hv_netvsc(4), hv_storvsc(4), hv_ata_pci_disengage(4), hv_kvp(4)

HISTORY
Support for hv_kvp_daemon first appeared in FreeBSD 10.0. The daemon was developed through a joint effort between Citrix Incorporated, Microsoft Corporation, and Network Appliance Incorporated.

AUTHORS
-nosplit FreeBSD support for hv_kvp_daemon was first added by Microsoft BSD Integration Services Team <bsdic@microsoft.com>.